// https://www.tutorialspoint.com/dart_programming/dart_programming_enumeration.htm
enum Frequency {
  daily(
    title: "Daily",
    hint: "Once Per Day",
    timesPerYear: 364.25,
    numDays: 1,
  ),
  weekly(
    title: "Weekly",
    hint: "Once Per Week",
    timesPerYear: (364.25 / 7),
    numDays: 7,
  ),
  biweekly(
    title: "Biweekly",
    hint: "Every Other Week",
    timesPerYear: (364.25 / 14),
    numDays: 14,
  ),
  bimonthly(
    title: "Bimonthly",
    hint: "Twice Per Month",
    timesPerYear: 24,
    numDays: (364.25 / 24),
  ),
  monthly(
    title: "Monthly",
    hint: "Once Per Month",
    timesPerYear: 12,
    numDays: (364.25 / 12),
  ),
  quarterly(
    title: "Quarterly",
    hint: "Every Three Months",
    timesPerYear: 4,
    numDays: (364.25 / 4),
  ),
  biannual(
    title: "Biannual",
    hint: "Twice Per Year",
    timesPerYear: 2,
    numDays: (364.25 / 2),
  ),
  yearly(
    title: "Yearly",
    hint: "Once Per Year",
    timesPerYear: 1,
    numDays: 364.25,
  );

  const Frequency({
    required this.title,
    required this.hint,
    required this.timesPerYear,
    required this.numDays,
  });

  final String title;
  final String hint;
  final double timesPerYear;
  final double numDays;
}
